net.minecraft.client.renderer.entity

## Class RendererLivingEntity

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity

- Direct Known Subclasses:
    RenderLiving, RenderPlayer

      public abstract class RendererLivingEntity
      extends Render

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ModelBase` | `mainModel`
    `static float` | `NAME_TAG_RANGE`
    `static float` | `NAME_TAG_RANGE_SNEAK`
    `protected ModelBase` | `renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RendererLivingEntity(ModelBase par1ModelBase, float par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, float par8, float par9)`
    `protected boolean` | `func_110813_b(EntityLivingBase par1EntityLivingBase)`
    `protected void` | `func_82408_c(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected void` | `func_96449_a(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, java.lang.String par8Str, float par9, double par10)`
    `protected int` | `getColorMultiplier(EntityLivingBase par1EntityLivingBase, float par2, float par3)`
    `protected float` | `getDeathMaxRotation(EntityLivingBase par1EntityLivingBase)`
    `protected float` | `handleRotationFloat(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected int` | `inheritRenderPass(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected void` | `passSpecialRender(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6)`
    `protected void` | `preRenderCallback(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderArrowsStuckInEntity(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderEquippedItems(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderLivingAt(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6)`
    `protected void` | `renderModel(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4, float par5, float par6, float par7)`
    `protected float` | `renderSwingProgress(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `rotateCorpse(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)`
    `void` | `setRenderPassModel(ModelBase par1ModelBase)`
    `protected int` | `shouldRenderPass(EntityLivingBase par1EntityLivingBase, int par2, float par3)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getEntityTexture, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainModel

          protected ModelBase mainModel

    - #### renderPassModel

          protected ModelBase renderPassModel

    - #### NAME_TAG_RANGE

          public static float NAME_TAG_RANGE

    - #### NAME_TAG_RANGE_SNEAK

          public static float NAME_TAG_RANGE_SNEAK

  - ### Constructor Detail

    - #### RendererLivingEntity

          public RendererLivingEntity(ModelBase par1ModelBase,
                              float par2)

  - ### Method Detail

    - #### setRenderPassModel

          public void setRenderPassModel(ModelBase par1ModelBase)

    - #### doRender

          public void doRender(EntityLivingBase par1EntityLivingBase,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### renderModel

          protected void renderModel(EntityLivingBase par1EntityLivingBase,
                         float par2,
                         float par3,
                         float par4,
                         float par5,
                         float par6,
                         float par7)

    - #### renderLivingAt

          protected void renderLivingAt(EntityLivingBase par1EntityLivingBase,
                            double par2,
                            double par4,
                            double par6)

    - #### rotateCorpse

          protected void rotateCorpse(EntityLivingBase par1EntityLivingBase,
                          float par2,
                          float par3,
                          float par4)

    - #### renderSwingProgress

          protected float renderSwingProgress(EntityLivingBase par1EntityLivingBase,
                                  float par2)

    - #### handleRotationFloat

          protected float handleRotationFloat(EntityLivingBase par1EntityLivingBase,
                                  float par2)

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLivingBase par1EntityLivingBase,
                                 float par2)

    - #### renderArrowsStuckInEntity

          protected void renderArrowsStuckInEntity(EntityLivingBase par1EntityLivingBase,
                                       float par2)

    - #### inheritRenderPass

          protected int inheritRenderPass(EntityLivingBase par1EntityLivingBase,
                              int par2,
                              float par3)

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLivingBase par1EntityLivingBase,
                             int par2,
                             float par3)

    - #### func_82408_c

          protected void func_82408_c(EntityLivingBase par1EntityLivingBase,
                          int par2,
                          float par3)

    - #### getDeathMaxRotation

          protected float getDeathMaxRotation(EntityLivingBase par1EntityLivingBase)

    - #### getColorMultiplier

          protected int getColorMultiplier(EntityLivingBase par1EntityLivingBase,
                               float par2,
                               float par3)

    - #### preRenderCallback

          protected void preRenderCallback(EntityLivingBase par1EntityLivingBase,
                               float par2)

    - #### passSpecialRender

          protected void passSpecialRender(EntityLivingBase par1EntityLivingBase,
                               double par2,
                               double par4,
                               double par6)

    - #### func_110813_b

          protected boolean func_110813_b(EntityLivingBase par1EntityLivingBase)

    - #### func_96449_a

          protected void func_96449_a(EntityLivingBase par1EntityLivingBase,
                          double par2,
                          double par4,
                          double par6,
                          java.lang.String par8Str,
                          float par9,
                          double par10)

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Specified by:
        `doRender` in class `Render`